Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.deployment.util
Class PhasesInfo

    java.lang.Object
      org.apache.axis2.deployment.util.PhasesInfo

    public class PhasesInfo

extends Object

Constructor Summary
`PhasesInfo()`

Method Summary
`List<Phase>` | `getGlobalInFaultPhases()`
`List<Phase>` | `getGlobalInflow()`
`List<Phase>` | `getGlobalOutPhaseList()`
`List<Phase>` | `getIN_FaultPhases()`
`List<Phase>` | `getINPhases()`
`List<Phase>` | `getOperationInFaultPhases()`
`ArrayList<Phase>` | `getOperationInPhases()`
`ArrayList<Phase>` | `getOperationOutFaultPhases()`
`ArrayList<Phase>` | `getOperationOutPhases()`
`List<Phase>` | `getOUT_FaultPhases()`
`List<Phase>` | `getOutFaultPhaseList()`
`List<Phase>` | `getOUTPhases()`
`Phase` | `makePhase(org.apache.axiom.om.OMElement phaseElement)`
`void` | `setIN_FaultPhases(List<Phase> IN_FaultPhases)`
`void` | `setINPhases(List<Phase> INPhases)`
`void` | `setOperationPhases(AxisOperation axisOperation)`
`void` | `setOUT_FaultPhases(List<Phase> OUT_FaultPhases)`
`void` | `setOUTPhases(List<Phase> OUTPhases)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PhasesInfo

    public PhasesInfo()

Method Detail

### makePhase

    public Phase makePhase(org.apache.axiom.om.OMElement phaseElement)
                    throws PhaseException

  Throws:
    `PhaseException`

### getGlobalInflow

    public List<Phase> getGlobalInflow()
                                throws DeploymentException

  Throws:
    `DeploymentException`

### getGlobalOutPhaseList

    public List<Phase> getGlobalOutPhaseList()
                                      throws DeploymentException

  Throws:
    `DeploymentException`

### getINPhases

    public List<Phase> getINPhases()

### getIN_FaultPhases

    public List<Phase> getIN_FaultPhases()

### getOUTPhases

    public List<Phase> getOUTPhases()

### getOutFaultPhaseList

    public List<Phase> getOutFaultPhaseList()

### getOUT_FaultPhases

    public List<Phase> getOUT_FaultPhases()
                                   throws DeploymentException

  Throws:
    `DeploymentException`

### getOperationInFaultPhases

    public List<Phase> getOperationInFaultPhases()
                                          throws DeploymentException

  Throws:
    `DeploymentException`

### getGlobalInFaultPhases

    public List<Phase> getGlobalInFaultPhases()
                                       throws DeploymentException

  Throws:
    `DeploymentException`

### getOperationInPhases

    public ArrayList<Phase> getOperationInPhases()
                                          throws DeploymentException

  Throws:
    `DeploymentException`

### getOperationOutFaultPhases

    public ArrayList<Phase> getOperationOutFaultPhases()
                                                throws DeploymentException

  Throws:
    `DeploymentException`

### getOperationOutPhases

    public ArrayList<Phase> getOperationOutPhases()
                                           throws DeploymentException

  Throws:
    `DeploymentException`

### setINPhases

    public void setINPhases(List<Phase> INPhases)

### setIN_FaultPhases

    public void setIN_FaultPhases(List<Phase> IN_FaultPhases)

### setOUTPhases

    public void setOUTPhases(List<Phase> OUTPhases)

### setOUT_FaultPhases

    public void setOUT_FaultPhases(List<Phase> OUT_FaultPhases)

### setOperationPhases

    public void setOperationPhases(AxisOperation axisOperation)
                            throws AxisFault

  Throws:
    `AxisFault`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.